import {date, pgTable, text} from "drizzle-orm/pg-core";
import {createSelectSchema} from "drizzle-zod";

export const eom = pgTable(
    "eom",
    {
        eomMonth: date().notNull(),
        article: text().notNull(),
        articleDescription: text().notNull(),
    }
    // (table) => [
    //     // uniqueIndex('emailUniqueIndex').on(sql`lower(${table.email})`),
    //     uniqueIndex("role_name").on(table.name),
    // ]
);

// Schema for inserting a user - can be used to validate API requests
// export const insertRolesSchema = createInsertSchema(roles, {
//     name: z.string().min(3, {message: "Role name must be more than 3 letters"}),
// });
// Schema for selecting a Expenses - can be used to validate API responses
export const selectRolesSchema = createSelectSchema(eom);
